Portfolio
Get user activity feed
GET
appIdbearerAuthheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
header
AuthorizationBearer <JWT>JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.
type?stringKind of activity: trade an order, withdrawal, bridge a cross-chain transfer, deposit, user_op a wallet operation, redeem a winnings claim.
Value in
"trade""withdrawal""bridge""deposit""user_op""redeem"cursor?stringlimit?integerRange
1 <= value <= 100200
application/json- response
data*array<|||||>nextCursor*stringhasMore*booleancurl -X GET 'https://api.t.sufwankhalid.com/users/activity'Example Response
{ "data": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "status": "string", "type": "trade", "venue": "string", "side": "string", "amountRaw": "string", "filledAmountRaw": "string", "executionPrice": "string", "venueMarket": { "id": "string", "venueEventId": "string", "question": "string", "image": "string" }, "venueMarketOutcome": { "id": "string", "label": "string", "title": "string", "price": 0 }, "txHash": "string", "errorMessage": "string" } ], "nextCursor": "string", "hasMore": true}